diff --git a/src/include/access/xlogrecord.h b/src/include/access/xlogrecord.h
index fbfad5f..c6fd4b6 100644
--- a/src/include/access/xlogrecord.h
+++ b/src/include/access/xlogrecord.h
@@ -76,8 +76,8 @@ typedef struct XLogRecord
  * Note that we don't attempt to align the XLogRecordBlockHeader struct!
  * So, the struct must be copied to aligned local storage before use.
  * 'data_length' is the length of the payload data associated with this,
- * and includes the possible full-page image, and rmgr-specific data. It
- * does not include the XLogRecordBlockHeader struct itself.
+ * and includes the rmgr-specific data. It does not include the possible
+ * full page image and XLogRecordBlockHeader struct itself.
  */
 typedef struct XLogRecordBlockHeader
 {
